## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbIdbagElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.IdBagPluralAttributeElementAdapter
          org.hibernate.internal.jaxb.mapping.hbm.JaxbIdbagElement

All Implemented Interfaces:
  MetaAttributeContainer, PluralAttributeElement

    public class JaxbIdbagElement

extends IdBagPluralAttributeElementAdapter
implements PluralAttributeElement

Java class for idbag-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="idbag-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="cache" type="{http://www.hibernate.org/xsd/hibernate-mapping}cache-element" minOccurs="0"/>
             <element name="synchronize" type="{http://www.hibernate.org/xsd/hibernate-mapping}synchronize-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="collection-id">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
                       <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
                       <element name="generator" type="{http://www.hibernate.org/xsd/hibernate-mapping}generator-element"/>
                     </sequence>
                     <attribute name="column" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="key" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-element"/>
             <choice>
               <element name="element" type="{http://www.hibernate.org/xsd/hibernate-mapping}element-element"/>
               <element name="many-to-many" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-many-element"/>
               <element name="composite-element" type="{http://www.hibernate.org/xsd/hibernate-mapping}composite-element-element"/>
               <element name="many-to-any" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-any-element"/>
             </choice>
             <element name="loader" type="{http://www.hibernate.org/xsd/hibernate-mapping}loader-element" minOccurs="0"/>
             <element name="sql-insert" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-insert-element" minOccurs="0"/>
             <element name="sql-update" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-update-element" minOccurs="0"/>
             <element name="sql-delete" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-element" minOccurs="0"/>
             <element name="sql-delete-all" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-all-element" minOccurs="0"/>
             <element name="filter" type="{http://www.hibernate.org/xsd/hibernate-mapping}filter-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="cascade" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="check" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="collection-type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="fetch" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-attribute-with-subselect" />
           <attribute name="lazy" type="{http://www.hibernate.org/xsd/hibernate-mapping}lazy-attribute-with-extra" />
           <attribute name="mutable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="optimistic-lock" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="order-by" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="outer-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}outer-join-attribute" />
           <attribute name="persister" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="schema" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="table" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="where" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` `JaxbIdbagElement.JaxbCollectionId` Java class for anonymous complex type.

Field Summary
`protected String` `access`
`protected String` `batchSize`
`protected JaxbCacheElement` `cache`
`protected String` `cascade`
`protected String` `catalog`
`protected String` `check`
`protected JaxbIdbagElement.JaxbCollectionId` `collectionId`
`protected String` `collectionType`
`protected String` `comment`
`protected JaxbCompositeElementElement` `compositeElement`
`protected JaxbElementElement` `element`
`protected Boolean` `embedXml`
`protected JaxbFetchAttributeWithSubselect` `fetch`
`protected List<JaxbFilterElement>` `filter`
`protected JaxbKeyElement` `key`
`protected JaxbLazyAttributeWithExtra` `lazy`
`protected JaxbLoaderElement` `loader`
`protected JaxbManyToAnyElement` `manyToAny`
`protected JaxbManyToManyElement` `manyToMany`
`protected List<JaxbMetaElement>` `meta`
`protected Boolean` `mutable`
`protected String` `name`
`protected String` `node`
`protected Boolean` `optimisticLock`
`protected String` `orderBy`
`protected JaxbOuterJoinAttribute` `outerJoin`
`protected String` `persister`
`protected String` `schema`
`protected JaxbSqlDeleteElement` `sqlDelete`
`protected JaxbSqlDeleteAllElement` `sqlDeleteAll`
`protected JaxbSqlInsertElement` `sqlInsert`
`protected JaxbSqlUpdateElement` `sqlUpdate`
`protected String` `subselect`
`protected String` `subselectAttribute`
`protected List<JaxbSynchronizeElement>` `synchronize`
`protected String` `table`
`protected String` `where`

Constructor Summary
`JaxbIdbagElement()`

Method Summary
`String` `getAccess()` Gets the value of the access property.
`String` `getBatchSize()` Gets the value of the batchSize property.
`JaxbCacheElement` `getCache()` Gets the value of the cache property.
`String` `getCascade()` Gets the value of the cascade property.
`String` `getCatalog()` Gets the value of the catalog property.
`String` `getCheck()` Gets the value of the check property.
`JaxbIdbagElement.JaxbCollectionId` `getCollectionId()` Gets the value of the collectionId property.
`String` `getCollectionType()` Gets the value of the collectionType property.
`String` `getComment()` Gets the value of the comment property.
`JaxbCompositeElementElement` `getCompositeElement()` Gets the value of the compositeElement property.
`JaxbElementElement` `getElement()` Gets the value of the element property.
`JaxbFetchAttributeWithSubselect` `getFetch()` Gets the value of the fetch property.
`List<JaxbFilterElement>` `getFilter()` Gets the value of the filter property.
`JaxbKeyElement` `getKey()` Gets the value of the key property.
`JaxbLazyAttributeWithExtra` `getLazy()` Gets the value of the lazy property.
`JaxbLoaderElement` `getLoader()` Gets the value of the loader property.
`JaxbManyToAnyElement` `getManyToAny()` Gets the value of the manyToAny property.
`JaxbManyToManyElement` `getManyToMany()` Gets the value of the manyToMany property.
`List<JaxbMetaElement>` `getMeta()` Gets the value of the meta property.
`String` `getName()` Gets the value of the name property.
`String` `getNode()` Gets the value of the node property.
`String` `getOrderBy()` Gets the value of the orderBy property.
`JaxbOuterJoinAttribute` `getOuterJoin()` Gets the value of the outerJoin property.
`String` `getPersister()` Gets the value of the persister property.
`String` `getSchema()` Gets the value of the schema property.
`JaxbSqlDeleteElement` `getSqlDelete()` Gets the value of the sqlDelete property.
`JaxbSqlDeleteAllElement` `getSqlDeleteAll()` Gets the value of the sqlDeleteAll property.
`JaxbSqlInsertElement` `getSqlInsert()` Gets the value of the sqlInsert property.
`JaxbSqlUpdateElement` `getSqlUpdate()` Gets the value of the sqlUpdate property.
`String` `getSubselect()` Gets the value of the subselect property.
`String` `getSubselectAttribute()` Gets the value of the subselectAttribute property.
`List<JaxbSynchronizeElement>` `getSynchronize()` Gets the value of the synchronize property.
`String` `getTable()` Gets the value of the table property.
`String` `getWhere()` Gets the value of the where property.
`boolean` `isEmbedXml()` Gets the value of the embedXml property.
`boolean` `isMutable()` Gets the value of the mutable property.
`boolean` `isOptimisticLock()` Gets the value of the optimisticLock property.
`void` `setAccess(String value)` Sets the value of the access property.
`void` `setBatchSize(String value)` Sets the value of the batchSize property.
`void` `setCache(JaxbCacheElement value)` Sets the value of the cache property.
`void` `setCascade(String value)` Sets the value of the cascade property.
`void` `setCatalog(String value)` Sets the value of the catalog property.
`void` `setCheck(String value)` Sets the value of the check property.
`void` `setCollectionId(JaxbIdbagElement.JaxbCollectionId value)` Sets the value of the collectionId property.
`void` `setCollectionType(String value)` Sets the value of the collectionType property.
`void` `setComment(String value)` Sets the value of the comment property.
`void` `setCompositeElement(JaxbCompositeElementElement value)` Sets the value of the compositeElement property.
`void` `setElement(JaxbElementElement value)` Sets the value of the element property.
`void` `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` `setFetch(JaxbFetchAttributeWithSubselect value)` Sets the value of the fetch property.
`void` `setKey(JaxbKeyElement value)` Sets the value of the key property.
`void` `setLazy(JaxbLazyAttributeWithExtra value)` Sets the value of the lazy property.
`void` `setLoader(JaxbLoaderElement value)` Sets the value of the loader property.
`void` `setManyToAny(JaxbManyToAnyElement value)` Sets the value of the manyToAny property.
`void` `setManyToMany(JaxbManyToManyElement value)` Sets the value of the manyToMany property.
`void` `setMutable(Boolean value)` Sets the value of the mutable property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setNode(String value)` Sets the value of the node property.
`void` `setOptimisticLock(Boolean value)` Sets the value of the optimisticLock property.
`void` `setOrderBy(String value)` Sets the value of the orderBy property.
`void` `setOuterJoin(JaxbOuterJoinAttribute value)` Sets the value of the outerJoin property.
`void` `setPersister(String value)` Sets the value of the persister property.
`void` `setSchema(String value)` Sets the value of the schema property.
`void` `setSqlDelete(JaxbSqlDeleteElement value)` Sets the value of the sqlDelete property.
`void` `setSqlDeleteAll(JaxbSqlDeleteAllElement value)` Sets the value of the sqlDeleteAll property.
`void` `setSqlInsert(JaxbSqlInsertElement value)` Sets the value of the sqlInsert property.
`void` `setSqlUpdate(JaxbSqlUpdateElement value)` Sets the value of the sqlUpdate property.
`void` `setSubselect(String value)` Sets the value of the subselect property.
`void` `setSubselectAttribute(String value)` Sets the value of the subselectAttribute property.
`void` `setTable(String value)` Sets the value of the table property.
`void` `setWhere(String value)` Sets the value of the where property.

Methods inherited from class org.hibernate.internal.jaxb.mapping.hbm.IdBagPluralAttributeElementAdapter
`getOneToMany, isInverse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.internal.jaxb.mapping.hbm.PluralAttributeElement
`getOneToMany, isInverse`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### subselect

    protected String subselect

### cache

    protected JaxbCacheElement cache

### synchronize

    protected List<JaxbSynchronizeElement> synchronize

### comment

    protected String comment

### collectionId

    protected JaxbIdbagElement.JaxbCollectionId collectionId

### key

    protected JaxbKeyElement key

### element

    protected JaxbElementElement element

### manyToMany

    protected JaxbManyToManyElement manyToMany

### compositeElement

    protected JaxbCompositeElementElement compositeElement

### manyToAny

    protected JaxbManyToAnyElement manyToAny

### loader

    protected JaxbLoaderElement loader

### sqlInsert

    protected JaxbSqlInsertElement sqlInsert

### sqlUpdate

    protected JaxbSqlUpdateElement sqlUpdate

### sqlDelete

    protected JaxbSqlDeleteElement sqlDelete

### sqlDeleteAll

    protected JaxbSqlDeleteAllElement sqlDeleteAll

### filter

    protected List<JaxbFilterElement> filter

### access

    protected String access

### batchSize

    protected String batchSize

### cascade

    protected String cascade

### catalog

    protected String catalog

### check

    protected String check

### collectionType

    protected String collectionType

### embedXml

    protected Boolean embedXml

### fetch

    protected JaxbFetchAttributeWithSubselect fetch

### lazy

    protected JaxbLazyAttributeWithExtra lazy

### mutable

    protected Boolean mutable

### name

    protected String name

### node

    protected String node

### optimisticLock

    protected Boolean optimisticLock

### orderBy

    protected String orderBy

### outerJoin

    protected JaxbOuterJoinAttribute outerJoin

### persister

    protected String persister

### schema

    protected String schema

### subselectAttribute

    protected String subselectAttribute

### table

    protected String table

### where

    protected String where

Constructor Detail

### JaxbIdbagElement

    public JaxbIdbagElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

  Specified by:
    `getMeta` in interface `MetaAttributeContainer`

### getSubselect

    public String getSubselect()

  Gets the value of the subselect property.

  Specified by:
    `getSubselect` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setSubselect

    public void setSubselect(String value)

  Sets the value of the subselect property.

  Parameters:
    `value` - allowed object is `String`

### getCache

    public JaxbCacheElement getCache()

  Gets the value of the cache property.

  Specified by:
    `getCache` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbCacheElement`

### setCache

    public void setCache(JaxbCacheElement value)

  Sets the value of the cache property.

  Parameters:
    `value` - allowed object is `JaxbCacheElement`

### getSynchronize

    public List<JaxbSynchronizeElement> getSynchronize()

  Gets the value of the synchronize property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synchronize property.

  For example, to add a new item, do as follows:

          getSynchronize().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSynchronizeElement`

  Specified by:
    `getSynchronize` in interface `PluralAttributeElement`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Specified by:
    `getComment` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getCollectionId

    public JaxbIdbagElement.JaxbCollectionId getCollectionId()

  Gets the value of the collectionId property.

  Returns:
    possible object is `JaxbIdbagElement.JaxbCollectionId`

### setCollectionId

    public void setCollectionId(JaxbIdbagElement.JaxbCollectionId value)

  Sets the value of the collectionId property.

  Parameters:
    `value` - allowed object is `JaxbIdbagElement.JaxbCollectionId`

### getKey

    public JaxbKeyElement getKey()

  Gets the value of the key property.

  Specified by:
    `getKey` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbKeyElement`

### setKey

    public void setKey(JaxbKeyElement value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `JaxbKeyElement`

### getElement

    public JaxbElementElement getElement()

  Gets the value of the element property.

  Specified by:
    `getElement` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbElementElement`

### setElement

    public void setElement(JaxbElementElement value)

  Sets the value of the element property.

  Parameters:
    `value` - allowed object is `JaxbElementElement`

### getManyToMany

    public JaxbManyToManyElement getManyToMany()

  Gets the value of the manyToMany property.

  Specified by:
    `getManyToMany` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbManyToManyElement`

### setManyToMany

    public void setManyToMany(JaxbManyToManyElement value)

  Sets the value of the manyToMany property.

  Parameters:
    `value` - allowed object is `JaxbManyToManyElement`

### getCompositeElement

    public JaxbCompositeElementElement getCompositeElement()

  Gets the value of the compositeElement property.

  Specified by:
    `getCompositeElement` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbCompositeElementElement`

### setCompositeElement

    public void setCompositeElement(JaxbCompositeElementElement value)

  Sets the value of the compositeElement property.

  Parameters:
    `value` - allowed object is `JaxbCompositeElementElement`

### getManyToAny

    public JaxbManyToAnyElement getManyToAny()

  Gets the value of the manyToAny property.

  Specified by:
    `getManyToAny` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbManyToAnyElement`

### setManyToAny

    public void setManyToAny(JaxbManyToAnyElement value)

  Sets the value of the manyToAny property.

  Parameters:
    `value` - allowed object is `JaxbManyToAnyElement`

### getLoader

    public JaxbLoaderElement getLoader()

  Gets the value of the loader property.

  Specified by:
    `getLoader` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbLoaderElement`

### setLoader

    public void setLoader(JaxbLoaderElement value)

  Sets the value of the loader property.

  Parameters:
    `value` - allowed object is `JaxbLoaderElement`

### getSqlInsert

    public JaxbSqlInsertElement getSqlInsert()

  Gets the value of the sqlInsert property.

  Specified by:
    `getSqlInsert` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbSqlInsertElement`

### setSqlInsert

    public void setSqlInsert(JaxbSqlInsertElement value)

  Sets the value of the sqlInsert property.

  Parameters:
    `value` - allowed object is `JaxbSqlInsertElement`

### getSqlUpdate

    public JaxbSqlUpdateElement getSqlUpdate()

  Gets the value of the sqlUpdate property.

  Specified by:
    `getSqlUpdate` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbSqlUpdateElement`

### setSqlUpdate

    public void setSqlUpdate(JaxbSqlUpdateElement value)

  Sets the value of the sqlUpdate property.

  Parameters:
    `value` - allowed object is `JaxbSqlUpdateElement`

### getSqlDelete

    public JaxbSqlDeleteElement getSqlDelete()

  Gets the value of the sqlDelete property.

  Specified by:
    `getSqlDelete` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbSqlDeleteElement`

### setSqlDelete

    public void setSqlDelete(JaxbSqlDeleteElement value)

  Sets the value of the sqlDelete property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteElement`

### getSqlDeleteAll

    public JaxbSqlDeleteAllElement getSqlDeleteAll()

  Gets the value of the sqlDeleteAll property.

  Specified by:
    `getSqlDeleteAll` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbSqlDeleteAllElement`

### setSqlDeleteAll

    public void setSqlDeleteAll(JaxbSqlDeleteAllElement value)

  Sets the value of the sqlDeleteAll property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteAllElement`

### getFilter

    public List<JaxbFilterElement> getFilter()

  Gets the value of the filter property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the filter property.

  For example, to add a new item, do as follows:

          getFilter().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFilterElement`

  Specified by:
    `getFilter` in interface `PluralAttributeElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Specified by:
    `getAccess` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getBatchSize

    public String getBatchSize()

  Gets the value of the batchSize property.

  Specified by:
    `getBatchSize` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setBatchSize

    public void setBatchSize(String value)

  Sets the value of the batchSize property.

  Parameters:
    `value` - allowed object is `String`

### getCascade

    public String getCascade()

  Gets the value of the cascade property.

  Specified by:
    `getCascade` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setCascade

    public void setCascade(String value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Specified by:
    `getCatalog` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getCheck

    public String getCheck()

  Gets the value of the check property.

  Specified by:
    `getCheck` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setCheck

    public void setCheck(String value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `String`

### getCollectionType

    public String getCollectionType()

  Gets the value of the collectionType property.

  Specified by:
    `getCollectionType` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setCollectionType

    public void setCollectionType(String value)

  Sets the value of the collectionType property.

  Parameters:
    `value` - allowed object is `String`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getFetch

    public JaxbFetchAttributeWithSubselect getFetch()

  Gets the value of the fetch property.

  Specified by:
    `getFetch` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbFetchAttributeWithSubselect`

### setFetch

    public void setFetch(JaxbFetchAttributeWithSubselect value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchAttributeWithSubselect`

### getLazy

    public JaxbLazyAttributeWithExtra getLazy()

  Gets the value of the lazy property.

  Specified by:
    `getLazy` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbLazyAttributeWithExtra`

### setLazy

    public void setLazy(JaxbLazyAttributeWithExtra value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `JaxbLazyAttributeWithExtra`

### isMutable

    public boolean isMutable()

  Gets the value of the mutable property.

  Specified by:
    `isMutable` in interface `PluralAttributeElement`
  Returns:
    possible object is `Boolean`

### setMutable

    public void setMutable(Boolean value)

  Sets the value of the mutable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Specified by:
    `getName` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### isOptimisticLock

    public boolean isOptimisticLock()

  Gets the value of the optimisticLock property.

  Specified by:
    `isOptimisticLock` in interface `PluralAttributeElement`
  Returns:
    possible object is `Boolean`

### setOptimisticLock

    public void setOptimisticLock(Boolean value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `Boolean`

### getOrderBy

    public String getOrderBy()

  Gets the value of the orderBy property.

  Returns:
    possible object is `String`

### setOrderBy

    public void setOrderBy(String value)

  Sets the value of the orderBy property.

  Parameters:
    `value` - allowed object is `String`

### getOuterJoin

    public JaxbOuterJoinAttribute getOuterJoin()

  Gets the value of the outerJoin property.

  Specified by:
    `getOuterJoin` in interface `PluralAttributeElement`
  Returns:
    possible object is `JaxbOuterJoinAttribute`

### setOuterJoin

    public void setOuterJoin(JaxbOuterJoinAttribute value)

  Sets the value of the outerJoin property.

  Parameters:
    `value` - allowed object is `JaxbOuterJoinAttribute`

### getPersister

    public String getPersister()

  Gets the value of the persister property.

  Specified by:
    `getPersister` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setPersister

    public void setPersister(String value)

  Sets the value of the persister property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Specified by:
    `getSchema` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getSubselectAttribute

    public String getSubselectAttribute()

  Gets the value of the subselectAttribute property.

  Specified by:
    `getSubselectAttribute` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setSubselectAttribute

    public void setSubselectAttribute(String value)

  Sets the value of the subselectAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Specified by:
    `getTable` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

### getWhere

    public String getWhere()

  Gets the value of the where property.

  Specified by:
    `getWhere` in interface `PluralAttributeElement`
  Returns:
    possible object is `String`

### setWhere

    public void setWhere(String value)

  Sets the value of the where property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.